#Copyright (c) 2015 3D Control Systems LTD

# Author: Vladimir Avdeev <another.vic@yandex.ru>

import sys
import hashlib

import user_login

class DummyApp:
    pass

dummy_app = DummyApp()
dummy_app.stop_flag = False

if __name__ == '__main__':
    login_manager = user_login.UserLogin(app=dummy_app)
    if len(sys.argv) < 3:
        error = 'Two arguments required: login and password'
    else:
        password = hashlib.sha256(sys.argv[2]).hexdigest()
        error = login_manager.login_as_user(sys.argv[1], password)
    if error:
        print 'Login failed! ' + str(error)
    else:
        print 'Login successful: ' + sys.argv[1]