import subprocess


def set_video_memory_to_128m():
    correct_gpu_line = "gpu_mem=128\n"
    with open("/boot/config.txt", "r+") as f:
        text = f.read()
        f.seek(0)
        for line in text.split("\n"):
            if line.startswith("gpu_mem"):
                text = text.replace(line, correct_gpu_line)
                break
        else:
            text += correct_gpu_line
        f.write(text)


if __name__ == '__main__':
    import platforms
    if platforms.get_platform() == "rpi":
        set_video_memory_to_128m()
        subprocess.call("reboot", shell=True)